#!/bin/bash
mysql -e "DROP DATABASE emotion"
mysql -e "CREATE DATABASE emotion"
mysql -e "CREATE TABLE emotion.pictures (iPictureId int AUTO_INCREMENT, strFileName char(100), iMoodId int, dtLastShown datetime, iTimesShown int, PRIMARY KEY (iPictureId))"
mysql -e "CREATE TABLE emotion.mood (iMoodId int AUTO_INCREMENT, strMood char(100), PRIMARY KEY (iMoodId))"
mysql -e "CREATE TABLE emotion.sensor(iSensorId int AUTO_INCREMENT, strSensorName char(100), PRIMARY KEY (iSensorId))"
mysql -e "CREATE TABLE emotion.event (iEventId int AUTO_INCREMENT, strEventText char(100), dtEvent datetime, PRIMARY KEY (iEventId))"
mysql -e "CREATE TABLE emotion.tempstats (iTempStatID int AUTO_INCREMENT, dtEntered datetime, iSensorID int, iSensorVal int, PRIMARY KEY (iTempStatID))"
mysql -e "CREATE TABLE emotion.stats (iStatId int AUTO_INCREMENT, iPictureId int, iForceExit int, dtTimeShown datetime, iVideoVal int, iAudioVal int, iKeyBoardVal int, iMouseVal int, PRIMARY KEY (iStatId))"

#Tables are created, now lets enter some defaults

mysql -e "INSERT INTO emotion.sensor (strSensorName) VALUES ('Motion')"
mysql -e "INSERT INTO emotion.sensor (strSensorName) VALUES ('Sound')"
mysql -e "INSERT INTO emotion.sensor (strSensorName) VALUES ('Keyboard')"
mysql -e "INSERT INTO emotion.sensor (strSensorName) VALUES ('Mouse')"

mysql -e "INSERT INTO emotion.mood (strMood) VALUES ('Confused')"
mysql -e "INSERT INTO emotion.mood (strMood) VALUES ('Happy')"


